/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:json_annotation/json_annotation.dart';

/**
 * These values are selection of Digests from https://pub.dev/packages/pointycastle
 */
enum Algo {
  @JsonValue("SHA3-512")
  SHA3_512,

  @JsonValue("SHA3-384")
  SHA3_384,

  @JsonValue("SHA3-256")
  SHA3_256,

  @JsonValue("SHA3-224")
  SHA3_224,

  @JsonValue("SHA-512")
  SHA_512,

  @JsonValue("SHA-384")
  SHA_384,

  @JsonValue("SHA-256")
  SHA_256,

  @JsonValue("SHA-224")
  SHA_224,
}


enum SuRecordType {

  @JsonValue("txt")
  txt,

  @JsonValue("md")
  md,

  @JsonValue("jpg")
  jpg,

  @JsonValue("png")
  png,

  @JsonValue("webp")
  webp,

  @JsonValue("wav")
  wav,

  @JsonValue("mp3")
  mp3,

  @JsonValue("ogg")
  ogg,

  @JsonValue("webm")
  webm,

  @JsonValue("mp4")
  mp4,

  @JsonValue("aac")
  aac,

}
