/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';
import '../menu/extended_bottomnavbar_item.dart';

class BottomNavigationBarUtil {

  static List<BottomNavigationBarItem> getBottomNavigationBarItems(

      List<ExtendedBottomNavigationBarItem> extendedBottomNavigationBarItems) {
    return [
    for (final tab in extendedBottomNavigationBarItems)
      tab.asBottomNavigationBarItem()
    ];
  }

  static List<Widget> getBottomNavigationBarWidgets(List<ExtendedBottomNavigationBarItem> extendedBottomNavigationBarItems) {
    return extendedBottomNavigationBarItems.map((item) => item.view).toList();
  }

 static BottomNavigationBar buildThemedBottomNavigationBar({BuildContext context, int currentIndex, Function(int index) onTap, List<BottomNavigationBarItem> items}){
  var bottomNavigationBarItemColor = Theme.of(context).colorScheme.primary;
  var bottomNavigationBarUnselectedItemColor = Theme.of(context).unselectedWidgetColor; 
  
  return BottomNavigationBar(
      currentIndex: currentIndex,
      onTap: (tapIdx) => onTap(tapIdx),
      items: items,
      showUnselectedLabels: true,
      fixedColor: bottomNavigationBarItemColor,
      unselectedItemColor: bottomNavigationBarUnselectedItemColor,
    );
  }     
}
