/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';

/// Contains common layout configs for widgets
class LayoutConfig{
  /// common configs
  static BorderRadius commonBorderRadius = BorderRadius.circular(12); 
  static const double simpleWidgetSpacing = 4.0;
  static const double doubleWidgetSpacing = 8.0;

  /// common icons --------------------------------
  static const prefIcon = Icons.settings;
  static const saveRecordIcon = Icons.save_alt;

  /// record icons --------------------------------
  static const noteCaptureRecordIcon = Icons.note;
  static const photoCaptureRecordIcon = Icons.camera_alt;  
  static const audioCaptureRecordIcon = Icons.mic;
  static const videoCaptureRecordIcon = Icons.videocam;
  
  /// audio/video icons ---------------------------------
  static const audioAndVideoPlayIcon = Icons.play_arrow;
  static const audioAndVideoStopIcon = Icons.stop; 
  static const audioAndVideoPauseIcon = Icons.pause; 
  
}