/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';

class Theming {
  Color _check1 = Colors.deepPurple;
  Color _check2 = Colors.deepPurple[700];
  Color _check3 = Colors.cyan[300];
  Color _check3a = Colors.cyan[700];
  static final ColorScheme _templateLightCS = ColorScheme(
    primary: Color(0xff6200ee),
    primaryVariant: Color(0xff3700b3),
    secondary: Color(0xff03dac6),
    secondaryVariant: Color(0xff018786),
    surface: Colors.white,
    background: Colors.white,
    error: Color(0xffb00020),
    onPrimary: Colors.white,
    onSecondary: Colors.black,
    onSurface: Colors.black,
    onBackground: Colors.black,
    onError: Colors.white,
    brightness: Brightness.light,
  );

  static final ColorScheme surecLightCS = ColorScheme(
    primary: Colors.green,
    primaryVariant: Colors.green[700],
    secondary: Colors.amber,
    secondaryVariant: Colors.amber[700],
    surface: Colors.white,
    background: Colors.white70,
    error: Colors.red[700],
    onPrimary: Colors.white,
    onSecondary: Colors.black,
    onSurface: Colors.black,
    onBackground: Colors.black,
    onError: Colors.white,
    brightness: Brightness.light,
  );

  // ----------------------------------------------------------

  Color _check4 = Colors.deepPurple[200];
  Color _check5 = Colors.deepPurple[700];
  Color _check6 = Colors.cyan[300];
  static final ColorScheme _templateDarkCS = ColorScheme(
    primary: Color(0xffbb86fc),
    primaryVariant: Color(0xff3700B3),
    secondary: Color(0xff03dac6),
    secondaryVariant: Color(0xff03dac6),
    surface: Color(0xff121212),
    background: Color(0xff121212),
    error: Color(0xffcf6679),
    onPrimary: Colors.black,
    onSecondary: Colors.black,
    onSurface: Colors.white,
    onBackground: Colors.white,
    onError: Colors.black,
    brightness: Brightness.dark,
  );

  static final ColorScheme surecDarkCS = ColorScheme(
    primary: Colors.green[200],
    primaryVariant: Colors.green[700],
    secondary: Colors.amber[300],
    secondaryVariant: Colors.amber[300],
    surface: Colors.grey[800],
    background: Colors.grey[700],
    error: Colors.red[700],
    onPrimary: Colors.black,
    onSecondary: Colors.black,
    onSurface: Colors.white,
    onBackground: Colors.white,
    onError: Colors.black,
    brightness: Brightness.dark,
  );

  // ----------------------------------------------------------

  Color _check7 = Colors.indigo[700];
  Color _check8 = Colors.cyanAccent;
  Color _check9 = Colors.cyan[700];
  static final ColorScheme _templateHighContrastLightCS = ColorScheme(
    primary: const Color(0xff0000ba),
    primaryVariant: const Color(0xff000088),
    secondary: const Color(0xff66fff9),
    secondaryVariant: const Color(0xff018786),
    surface: Colors.white,
    background: Colors.white,
    error: const Color(0xff790000),
    onPrimary: Colors.white,
    onSecondary: Colors.black,
    onSurface: Colors.black,
    onBackground: Colors.black,
    onError: Colors.white,
  );

  static final ColorScheme surecHighContrastLightCS = ColorScheme(
    primary: Colors.green[700],
    primaryVariant: Colors.green[900],
    secondary: Colors.amberAccent,
    secondaryVariant: Colors.amber[700],
    surface: Colors.white,
    background: Colors.black,
    error: Colors.red[900],
    onPrimary: Colors.white,
    onSecondary: Colors.black,
    onSurface: Colors.black,
    onBackground: Colors.black,
    onError: Colors.white,
    brightness: Brightness.light,
  );

  // ----------------------------------------------------------

  Color _checka = Colors.purple[100];
  Color _checkb = Colors.purple[200];
  Color _checkc = Colors.cyanAccent[100];
  static final ColorScheme _templateHighContrastDarkCS = ColorScheme.highContrastDark(
    primary: const Color(0xffefb7ff),
    primaryVariant: const Color(0xffbe9eff),
    secondary: const Color(0xff66fff9),
    secondaryVariant: const Color(0xff66fff9),
    surface: const Color(0xff121212),
    background: const Color(0xff121212),
    error: const Color(0xff9b374d),
    onPrimary: Colors.black,
    onSecondary: Colors.black,
    onSurface: Colors.white,
    onBackground: Colors.white,
    onError: Colors.black,
  );

  static final ColorScheme surecHighContrastDarkCS = ColorScheme(
    primary: Colors.green[100],
    primaryVariant: Colors.green[200],
    secondary: Colors.amberAccent[100],
    secondaryVariant: Colors.amberAccent[100],
    surface: Colors.grey[900],
    background: Colors.grey[800],
    error: Colors.red[900],
    onPrimary: Colors.black,
    onSecondary: Colors.black,
    onSurface: Colors.white,
    onBackground: Colors.white,
    onError: Colors.black,
    brightness: Brightness.dark, // TODO: find out why this trashes the theme
  );

  static final TextTheme surecLightTT = ThemeData.light().textTheme;
  static final TextTheme surecDarkTT = ThemeData.dark().textTheme;
  static final TextTheme surecBigLightTT = ThemeData.light().textTheme; // TODO: fix - no font size
  static final TextTheme surecBigDarkTT = ThemeData.dark().textTheme; // TODO: fix - no font size

  static final ThemeData surecLightTD = ThemeData.from(colorScheme: surecLightCS, textTheme: surecLightTT);
  static final ThemeData surecDarkTD = ThemeData.from(colorScheme: surecDarkCS, textTheme: surecDarkTT);

  static final ThemeData surecHighContrastLightTD = ThemeData.from(colorScheme: surecHighContrastLightCS, textTheme: surecLightTT);
  static final ThemeData surecHighContrastDarkTD = ThemeData.from(colorScheme: surecHighContrastDarkCS, textTheme: surecDarkTT);

  static final ThemeData surecBigLightTD = ThemeData.from(colorScheme: surecLightCS, textTheme: surecBigLightTT);

  static final ThemeData surecBigDarkTD = ThemeData.from(colorScheme: surecDarkCS, textTheme: surecBigDarkTT);

  static final ThemeData surecBigHighContrastLightTD =
      ThemeData.from(colorScheme: surecHighContrastLightCS, textTheme: surecBigLightTT);
  static final ThemeData surecThemeDataBigHighContrastDark =
      ThemeData.from(colorScheme: surecHighContrastDarkCS, textTheme: surecBigDarkTT);

  static final ThemeData flutterLightTD = ThemeData.light();
  static final ThemeData flutterDarkTD = ThemeData.dark();

  static ThemeData selectThemeData(BuildContext context, bool big, bool highContrast, bool light) {
    print("selectThemeData big   " + big.toString());
    print("selectThemeData hc    " + highContrast.toString());
    print("selectThemeData light " + light.toString());
    if (light) {
      if (highContrast) {
        if (big) {
          return surecBigHighContrastLightTD;
        } else {
          return surecHighContrastLightTD;
        }
      } else {
        if (big) {
          return surecBigLightTD;
        } else {
          return surecLightTD;
        }
      }
    } else {
      // if dark
      if (highContrast) {
        if (big) {
          return surecBigHighContrastLightTD;
        } else {
          return surecHighContrastDarkTD;
        }
      } else {
        if (big) {
          return surecBigDarkTD;
        } else {
          return surecDarkTD;
        }
      }
    }
  }

  static ColorScheme selectColorScheme(BuildContext context, bool big, bool highContrast, bool light) {
    print("selectColorScheme big   " + big.toString());
    print("selectColorScheme hc    " + highContrast.toString());
    print("selectColorScheme light " + light.toString());
    if (light) {
      if (highContrast) {
        if (big) {
          return surecHighContrastLightCS;
        } else {
          return surecHighContrastLightCS;
        }
      } else {
        if (big) {
          return surecLightCS;
        } else {
          return surecLightCS;
        }
      }
    } else {
      // if dark
      if (highContrast) {
        if (big) {
          return surecHighContrastDarkCS;
        } else {
          return surecHighContrastDarkCS;
        }
      } else {
        if (big) {
          return surecDarkCS;
        } else {
          return surecDarkCS;
        }
      }
    }
  }
}
