/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:intl/intl.dart';
import 'package:surec_app/surecord/surecord_blocmeta.dart';
import 'package:surec_app/surecord/surecord_blocutil.dart';

class DateTimeFormatterUtil {

  static String formatDateTimeInMillisecondsToYearMonthDay(int dateTimeInMilliseconds) {
    return formatDateTimeToYearMonthDay(DateTime.fromMillisecondsSinceEpoch(dateTimeInMilliseconds));
  }

  static String formatDateTimeToYearMonthDay(DateTime dateTime) {
    final String _dateSeparaterFormat = "dd MMM. yyyy";
    var formatter = DateFormat(_dateSeparaterFormat);

    return formatter.format(dateTime);
  }

  static String formatBlocSuRecordTimeStampToMonthYear(BlocSuRecord blocSuRecord){
    final String _dateSeparaterFormat = "MMM. y";//dd-MM-yyyy";
    var formatter = DateFormat(_dateSeparaterFormat);
    
    return formatter.format(DateTime.fromMillisecondsSinceEpoch(
      BlocSuRecordUtil.localConfirmationTimestamp(blocSuRecord))
    );
  }

  static String formatBlocSuRecordTimeStampToDayMonthYearTime(BlocSuRecord blocSuRecord){
    final String _dateSeparaterFormat = "dd MMM. yyyy hh:mm";
    var formatter = DateFormat(_dateSeparaterFormat);
    
    return formatter.format(DateTime.fromMillisecondsSinceEpoch(
      BlocSuRecordUtil.localConfirmationTimestamp(blocSuRecord))
    );
  }
}
