/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

part of 'detail_capture_cubit.dart';

abstract class DetailCaptureState extends Equatable {
  const DetailCaptureState();

  @override
  List<Object> get props => [];
}

class InitialDetailCaptureState extends DetailCaptureState {
  final String recordId;

  const InitialDetailCaptureState(this.recordId);

  @override
  List<Object> get props => [recordId];
}

class LoadingDetailCaptureState extends DetailCaptureState {
  final String transaction;
  final String recordId;  // is needed to verify delete record on SuRecordDeletedCubitState

  const LoadingDetailCaptureState(this.transaction, [this.recordId=""]);

  @override
  List<Object> get props => [transaction, recordId];
}

class RecordLoadedDetailCaptureState extends DetailCaptureState {
  final BlocSuRecord blocSuRecord;

  const RecordLoadedDetailCaptureState(this.blocSuRecord);

  @override
  List<Object> get props => [blocSuRecord];
}

class RecordDeletedDetailCaptureState extends DetailCaptureState {
  const RecordDeletedDetailCaptureState();
}

class FailureDetailCaptureState extends DetailCaptureState {
  const FailureDetailCaptureState();
}