/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

/// Model for the [TagView] to handle a [TagItem] with a [name].
/// The flag [isSelected] indicates if the tag is already chosen and in the record tag list.
class TagItem{
  final String _name;
  bool _isSelected;  

  TagItem(this._name, {bool isSelected})
     : this._isSelected = isSelected ?? false;

  String get name => _name;
  bool get isSelected => _isSelected;  
  set isSelected(value) => _isSelected = value;
}