/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';
import 'package:flutter_markdown/flutter_markdown.dart';
import 'package:surec_app/ui/layout_config.dart';
import 'package:surec_app/ui/views/record_data_presentation/record_data_presentation_util.dart';
import 'package:surec_app/ui/widgets/card_container.dart';

class NoteRecordDataPresentation extends StatelessWidget {
  final String _suRecordDataAsString; 
  final PresentationMode _presentaionMode;
  
  NoteRecordDataPresentation({@required String suRecordDataAsText, @required PresentationMode presentationMode})
    : this._suRecordDataAsString = suRecordDataAsText,
      this._presentaionMode = presentationMode;

  @override
  Widget build(BuildContext context) {

    return _presentaionMode == PresentationMode.PREVIEW
        ? _buildThumbnailPresentation()
        : _buildNotePresentation();
  }

  Widget _buildThumbnailPresentation(){
    return Container(
      alignment: Alignment.center,
      padding: EdgeInsets.all(LayoutConfig.simpleWidgetSpacing),
      child: Text(_suRecordDataAsString));
  }

  Widget _buildNotePresentation(){
    return CardContainer(child: Markdown(data: _suRecordDataAsString));
  }
}
