/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';
import 'package:surec_app/ui/layout_config.dart';

class CardContainer extends StatelessWidget {
  final Widget child;
  final Alignment alignment;

  const CardContainer({
    @required this.child,
    Key key,
    this.alignment,
  })  : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      color: Theme.of(context).colorScheme.surface,
      shape:
          RoundedRectangleBorder(borderRadius: LayoutConfig.commonBorderRadius),
      child: Container(
          padding: EdgeInsets.all(LayoutConfig.doubleWidgetSpacing),
          width: double.infinity,
          alignment: alignment != null ? alignment : Alignment.center,
          child: child),
    );
  }
}
