/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:surec_app/filter/filter.dart';

part 'filter_option_state.dart';

class FilterOptionCubit extends Cubit<UpdateFilterOptionState> {
  FilterOptionCubit() : super(UpdateFilterOptionState(Map<FilterOptionKey, FilterExpression>()));

  void updateFilterExpressions(FilterOptionKey filterOptionKey, FilterExpression filterOptionValue){
    var filter = Map<FilterOptionKey, FilterExpression>();
    filter.addAll(state.filterExpressions);
    if(filterOptionValue != null){

      filter[filterOptionKey] = filterOptionValue;
    }
    else{
      filter.remove(filterOptionKey);
    }

    emit(UpdateFilterOptionState(filter));
  }
}
