/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';
import 'package:surec_app/generated/l10n.dart';

class SearchTextFilter extends StatefulWidget {
  @override
  _SearchTextFilterState createState() => _SearchTextFilterState();
}

class _SearchTextFilterState extends State<SearchTextFilter> {

  String _filterText;

  @override
  Widget build(BuildContext context) {    
    return Container(
        child: TextField(
            keyboardType: TextInputType.text,
            onChanged: (filterText) {
              setState(() {
                _filterText = filterText;
              });
            },              
            decoration: InputDecoration(
                suffixIcon: Icon(Icons.search),
                hintText: S.of(context).searchFilterHintText),
          ),
    );
  }
}