/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';

class IconTextButton extends StatelessWidget {
  final IconData _icon;  
  final Function _onPressed;
  final String _label;
  Color _color;

  IconTextButton(     
  { @required IconData icon, 
    @required Function onPressed,
    String label, 
    Color color,
    Key key}) 
    : this._icon = icon,
      this._onPressed = onPressed,
      this._label = label ?? "",
      super(key: key);

  @override
  Widget build(BuildContext context) {
    var color = this._color ?? Theme.of(context).primaryColor;
    return Column(
      children: [
        IconButton(
          icon: Icon(this._icon),          
          onPressed: this._onPressed,
          color: color,
        ),
        Text(
          this._label,
          style: TextStyle(color: color),
        )
      ],
    );
  }
}
