/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

import 'package:flutter/material.dart';
import 'package:surec_app/generated/l10n.dart';

import 'package:surec_app/app.dart';

import 'drawer_item.dart';

// https://stackoverflow.com/questions/51659805/persisting-appbar-drawer-across-all-pages-flutter
// https://flutter.dev/docs/cookbook/design/drawer

class DrawerMenu extends StatelessWidget {
  DrawerMenu({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Drawer(
        semanticLabel: "todo:18n",
        child: ListView(
          padding: EdgeInsets.zero,
          children: <Widget>[
            DrawerHeader(
              child: Text(S.of(context).page_prefs_drawer_header),
              decoration: BoxDecoration(
                color: Colors.purpleAccent,
              ),
            ),
            ListTile(
              title: Text('Select to pop nav -> drawer close / page back'),
              onTap: () {
                Navigator.pop(context);
              },
            ),

          ],
        ));
  }
}
