/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec backend - prototype fund round 8 release.

    surec backend is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec backend is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

package eu.surec.backend

import eu.surec.backend.util.AlgoToEnumDefaultNullConverter
import org.slf4j.LoggerFactory
import org.springframework.boot.Banner
import org.springframework.boot.autoconfigure.SpringBootApplication

import org.springframework.boot.runApplication
import org.springframework.context.annotation.Configuration
import org.springframework.format.FormatterRegistry
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer

@Configuration
class WebConfig : WebMvcConfigurer {
	override fun addFormatters(registry: FormatterRegistry) {
		registry.addConverter(AlgoToEnumDefaultNullConverter())
	}
}


@SpringBootApplication(/*exclude = arrayOf(DataSourceAutoConfiguration::class)*/)
class BackendApplication {

	private val log = LoggerFactory.getLogger(BackendApplication::class.java)
}

fun main(args: Array<String>) {
	runApplication<BackendApplication>(*args)  {
		setBannerMode(Banner.Mode.OFF)
	}
}

